package it.unitn.ronchet.SSEdemo;

/**
 *
 * @author ronchet
 */
/**
 * This class represents simple news text with just two attributes:
 * id and message.
 */
public class NewsItem {

    private long id;
    private String newsText;

    public NewsItem(long id, String newsText) {
        super();
        this.id = id;
        this.newsText = newsText;
    }

    public long getId() {
        return id;
    }

    public String getText() {
        return newsText;
    }

    public String toString(){
        return id+" : "+newsText;
    }

    public String toJSON(){
        return "{\"id\":\""+id+"\", \"text\":\""+newsText+"\"}";
    }

}
